###########################################################################

# Add case variable

add_case <- function(data, cutoff = 20) {
# TODO: What is the best choice for the cutoff here?

  data$timediff <- as.numeric(diff(c(data$date.start[1], data$date.start)))
  data$case <- NA
  j <- 1
  pb <- utils::txtProgressBar(min = 0, max = nrow(data), initial = NA, style = 3)

  for (i in seq_len(nrow(data))) {
    if (data$timediff[i] <= cutoff) {
      data$case[i] <- j
    } else {
      j <- j + 1
      data$case[i] <- j
    }
    utils::setTxtProgressBar(pb, i)
  }
  data$timediff <- NULL
  data
}

